@echo off
echo Installation of the PIV Middleware and the NIST Cryptographic Service Provider
echo ******************************************************************************
echo.

:BEGIN
echo 1. Install NIST CSP for PIV Card
echo 2. Exit installation
echo.
set choice=
set /p choice=Select a choice : 
echo.
if not '%choice%'=='' set choice=%choice:~0,1%

if '%choice%'=='1' goto INSTALL
if '%choice%'=='2' goto END
ECHO '%choice%' is not valid please try again
ECHO.
goto BEGIN

:INSTALL
copy /Y escsp.dll %systemroot%\system32\escsp.dll
copy /Y PIV.dll %systemroot%\system32\PIV.dll
copy /Y zlib1.dll %systemroot%\system32\zlib1.dll
copy /Y msvcr71.dll %systemroot%\system32\msvcr71.dll
escspinstall.exe

echo.
echo ******* Installation Complete *******
echo.
pause

:END
echo.




